[maemo-commits] [maemo-commits] r16413 - projects/haf/trunk/hildon-thumbnail

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Wed Oct 15 18:02:34 EEST 2008
Author: marivoll
Date: 2008-10-15 18:02:33 +0300 (Wed, 15 Oct 2008)
New Revision: 16413

Added:
   projects/haf/trunk/hildon-thumbnail/svn-fill-tag
Log:
New, as an example.


Added: projects/haf/trunk/hildon-thumbnail/svn-fill-tag
===================================================================
--- projects/haf/trunk/hildon-thumbnail/svn-fill-tag	2008-10-15 13:58:35 UTC (rev 16412)
+++ projects/haf/trunk/hildon-thumbnail/svn-fill-tag	2008-10-15 15:02:33 UTC (rev 16413)
@@ -0,0 +1,29 @@
+#! /bin/sh
+
+# svn-fill-tag -- turn a skeleton source tree that is appropriate for
+#                 trunk or a branch into a full source tree that is
+#                 appropriate for a tag.
+# 
+# We do this by building a dist tarball as a reference and add all
+# files that end up in that tarball to subversion.
+# 
+# You either need to run this inside Scratchbox, or have your
+# Scratchbox set up so that "scratchbox -d $PWD make" works.
+
+sb () {
+  echo $@
+  if [ -d /targets ]; then
+    "$@"
+  else
+    scratchbox -d "$PWD" "$@"
+  fi
+}
+
+set -e
+
+sb ./autogen.sh
+sb ./configure
+sb make
+sb make dist distdir=tagfill
+svn add `tar tzf tagfill.tar.gz | sed s,^tagfill/,,`
+svn commit -m "Filled tag."


More information about the maemo-commits mailing list